Status: Accepted Priority: Must have
PHP Version:
Complexity:
Subject: Unmodified objects retrieved from a repository should not be validated in the controller
Description

Unmodified objects retrieved from a repository should not be validated in the controller

Associated revisions
Revision 58cf4d49 - 2014-03-04 15:01 - Christopher Hlubek

[!!!][FEATURE] Optional evaluation of validator with IgnoreValidation

If an @IgnoreValidation annotation is added for an action argument,
the validation will not be evaluated by default anymore. This is an
optimization for read-only actions and other cases where the validation
adds a measurable overhead.

The annotation option "evaluate" can be set to true to enable the old
behaviour of evaluating the validator for the argument and storing the
validation results (while still ignoring any error).

Change-Id: I77fcdb22307380926699bf558e4fadaa0ffff3e3
Releases: master
Related: #3305

History
#1 - 2009-06-02 16:02 - Karsten Dambekalns
- Target version changed from 1.0 alpha 1 to 1.0 alpha 2

Moving to alpha2...

#2 - 2009-06-30 15:31 - Robert Lemke
- Target version changed from 1.0 alpha 2 to 283

#3 - 2009-07-13 11:25 - Robert Lemke
- Target version deleted (283)

#4 - 2011-08-04 08:48 - Sebastian Kurfuerst
- Target version set to 1230

#5 - 2011-10-20 01:43 - Karsten Dambekalns
- Target version deleted (1230)

#6 - 2014-03-04 14:51 - Karsten Dambekalns
- Has patch set to No

See https://review.typo3.org/27581
